import Foundation

enum AuthType: Stateable {
    case none
    case authorization
    case registration
}

enum AuthStatus: Stateable {
    case none
    case authorized
    case failed
}

struct AuthState: Stateable {
    var authType: AuthType
    var authStatus: AuthStatus
    var pass: String?
}

// MARK: Init
extension AuthState {
    init() {
        authType = .none
        authStatus = .none
    }
}
